package com.maintain.business.service;

import com.maintain.business.domain.ErpRepairFormDelivery;
import com.maintain.business.domain.vo.ErpRepairFormDeliveryVo;
import com.maintain.business.domain.bo.ErpRepairFormDeliveryBo;
import com.maintain.common.core.page.TableDataInfo;
import com.maintain.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 报修单-交车信息Service接口
 *
 * @author liushuai
 * @date 2025-04-01
 */
public interface IErpRepairFormDeliveryService {

    /**
     * 查询报修单-交车信息
     */
    ErpRepairFormDeliveryVo queryById(Long id);

    /**
     * 查询报修单-交车信息列表
     */
    TableDataInfo<ErpRepairFormDeliveryVo> queryPageList(ErpRepairFormDeliveryBo bo, PageQuery pageQuery);

    /**
     * 查询报修单-交车信息列表
     */
    List<ErpRepairFormDeliveryVo> queryList(ErpRepairFormDeliveryBo bo);

    /**
     * 新增报修单-交车信息
     */
    Boolean insertByBo(ErpRepairFormDeliveryBo bo);

    /**
     * 修改报修单-交车信息
     */
    Boolean updateByBo(ErpRepairFormDeliveryBo bo);

    /**
     * 校验并批量删除报修单-交车信息信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
